> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/premium-cricket/api-descriptions/event-information.md).

# Event Information

### About get\_event <a href="#uofpceventinformation-aboutget_event" id="uofpceventinformation-aboutget_event"></a>

The get\_event endpoint (also known as get event by id)  is used to get details of a single event covered by the Premium Cricket product and contains information about the event to supplement the main fixture end.

In other words, get\_event endpoint is used to get the summary of a cricket event and is equivalent to summary.xml endpoint in UOF.&#x20;

### Request Example <a href="#uofpceventinformation-requestexample" id="uofpceventinformation-requestexample"></a>

{% tabs %}
{% tab title="Production" %}

```
https://cricketapi.sportradar.com/UnifiedFeedScoring/xml/get_event?event_id=sr:match:42096363
```

{% endtab %}

{% tab title="Staging" %}

```
https://cricketapistaging.sportradar.com/UnifiedFeedScoring/xml/get_event?event_id=sr:match:42096363
```

{% endtab %}
{% endtabs %}

### Response Structure <a href="#uofpceventinformation-responsestructure" id="uofpceventinformation-responsestructure"></a>

```xml
<GetEventResponse xmlns="http://schemas.datacontract.org/2004/07/Sportradar.OddsFeed.PremiumCricket.Scoring.Response" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
    <action>Success</action>
    <message>OK.</message>
    <response_code>OK</response_code>
    <sportEventxmlns:a="http://schemas.datacontract.org/2004/07/Sportradar.OddsFeed.PremiumCricket.Scoring">
        <a:categories>
            <a:EventCategory>
                <a:categoryValue>Texas Super Kings</a:categoryValue>
                <a:eventCategoryType>Team1</a:eventCategoryType>
            </a:EventCategory>
            <a:EventCategory>
                <a:categoryValue>MI New York</a:categoryValue> <a:eventCategoryType>Team2</a:eventCategoryType>
            </a:EventCategory>
            <a:EventCategory>
                <a:categoryValue>20 Overs</a:categoryValue> <a:eventCategoryType>Format</a:eventCategoryType>
            </a:EventCategory>
            <a:EventCategory>
                <a:categoryValue>Canadian Domestic</a:categoryValue> <a:eventCategoryType>CompetitionType</a:eventCategoryType>
            </a:EventCategory>
            <a:EventCategory>
                <a:categoryValue>T20</a:categoryValue>
                <a:eventCategoryType>SeriesType</a:eventCategoryType>
            </a:EventCategory>
            <a:EventCategory>
                <a:categoryValue>Major League Cricket</a:categoryValue>
                <a:eventCategoryType>SeriesName</a:eventCategoryType>
            </a:EventCategory>
        </a:categories>
        <a:competition>Canadian Domestic T20</a:competition>
        <a:competitionInstance>Major League Cricket</a:competitionInstance>
        <a:eventCreatedDate>0001-01-01T00:00:00</a:eventCreatedDate>
        <a:eventId>sr:match:42096363</a:eventId>
        <a:eventName>Texas Super Kings v MI New York</a:eventName>
        <a:format>20 Overs</a:format>
        <a:liveOperationalStatus>MarketsAvailable</a:liveOperationalStatus>
        <a:preMatchOperationalStatus>ResultsPending</a:preMatchOperationalStatus>
        <a:premiumCricketEventId>42096363</a:premiumCricketEventId>
        <a:scheduledStart>2023-07-18T01:30:00</a:scheduledStart>
        <a:status>Closed</a:status>
        <a:venue i:nil="true" />
    </sportEvent>
</GetEventResponse>
```

### Elements and Sub-elements Explained <a href="#uofpceventinformation-elementsandsub-elementsexplained" id="uofpceventinformation-elementsandsub-elementsexplained"></a>

**\<GetEventsResponse>**

| *action*         | Information indicating details of any errors when making API call.                           |
| ---------------- | -------------------------------------------------------------------------------------------- |
| *message*        | Punctuated HTTP response code                                                                |
| *response\_code* | HTTP response code.                                                                          |
| *sportEvent*     | Member  of  type  SportEvent,  containing  details  of upcoming or recently completed match. |

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/uof/premium-cricket/api-descriptions/event-information.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
